// File: Marker.java

package jvpc.extdata;

import jvpc.vga.*;

/**
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since 10 III 2001
 * @version 24 III 2001
 */
public class Marker extends Located {
    String text;

    Marker() {}
    public Marker(Universe u, int x, int y) {
	super(u, x, y);
	text = "?";
	report("Marker("+x+", "+y+")");
    }

    public void setText(String newText) {
	if (newText != null) text = newText;
    }

    public String getText() {
	return text;
    }

    public String toString() {
	return getText();
    }
}
