// File: MapExplosion.java

package jvpc.jvpc;

import java.awt.*;
import kero.util.*;
import jvpc.vga.*;

/**
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since 4 III 2001
 * @version 4 III 2001
 */
public class MapExplosion extends MapLocated {
    Explosion explosion;

    public MapExplosion(Map m, Explosion e) {
	map = m;
	explosion = e;
    }

    public Color getColor() {
	return Color.red;
    }

    public String getString() {
	return "X "+explosion.getShipID();
    }

    public void update(Graphics g, int x, int y) {
	int size = (int)Math.ceil(map.zoom);
	g.drawLine(x-size/2, y-size/2, x+size/2, y+size/2);
	g.drawLine(x-size/2, y+size/2, x+size/2, y-size/2);
    }
}
