package kero.awt;

import java.awt.*;
import java.awt.event.*;

public class MyDialog extends Dialog implements WindowListener {
    public MyDialog(Frame owner, String message) {
	this(owner, message, "Dialog");
    }

    public MyDialog(Frame owner, String message, String title) {
	super(owner, title, true);  // modal => true
	Label label = new Label(message);
	add(label);
	addWindowListener(this);
	pack();
	show();
    }

    public void windowOpened(WindowEvent we) {}
    public void windowClosing(WindowEvent we) { this.dispose(); }
    public void windowClosed(WindowEvent we) {}
    public void windowIconified(WindowEvent we) {}
    public void windowDeiconified(WindowEvent we) {}
    public void windowActivated(WindowEvent we) {}
    public void windowDeactivated(WindowEvent we) {}
}
