package kero.awt;

import java.awt.TextField;
import java.awt.Color;
import kero.awt.event.*;

/**
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since 13 I 2001
 * @version 13 I 2001
 */
public abstract class MyTextField extends TextField implements InputListener {
    boolean illegal;

    public MyTextField(String s) {
	super(s);
    }

    protected void setupInputListener() {
	InputCollector collector = new InputCollector();
	addActionListener(collector);
	addFocusListener(collector);
	collector.addInputListener(this);
    }

    public abstract void inputGiven(InputEvent ie);

    protected void setIllegal() {
	illegal = true;
	setForeground(Color.red); // or some "locale" color for ``bad''
	requestFocus();
    }
}
