package jvpc.vga;

import kero.util.*;

public class Bug extends Reporter implements VGAPlanets {
  public Bug(String[] arg) {
    Game game = new Game(arg[0], arg[0]);
    boolean[] wantsToPlay = new boolean[races+1];
    for (int i=1; i<=races; i++) wantsToPlay[i] = true;
    game.readAll(wantsToPlay);
    Universe univ = game.getUniverse();
    Game game1 = univ.getGame();
    if (game != game1) {
      crash(1000, "Game mismatch "+game+" game1: "+game1);
    }
    PData p = (PData)game1.getUniverse().getPlanet(316);
    report(p.toString("#a$s"));
    p.sellSupplies(1);
    report(p.toString("#a$s"));
  }

  public static void main(String[] arg) {
    new Bug(arg);
  }
}
