// File: CoreMineral.Java 

package jvpc.vga;

/**
 * Defines the interface for amounts of minerals in core.
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     10 VII 1998
 * @version   21 XII 1998
 */
public interface CoreMineral extends VGAPlanets {
  public int getCoreNeutronium();
  public int getCoreTritanium();
  public int getCoreDuranium();
  public int getCoreMolybdenium();

  public int getNeutroniumDensity();
  public int getTritaniumDensity();
  public int getDuraniumDensity();
  public int getMolybdeniumDensity();
}
