//File: Intersection.java

package jvpc.vga;

import java.awt.*;

interface Intersection {
  /**
   * Returns true if point p lies on this object
   */
  public boolean liesOn(MyPoint p);

  /**
   * Returns true if point p lies within this object
   */
  public boolean liesWithin(MyPoint p);

  /**
   * Returns true if line l lies (partly) within this object
   */
  public boolean liesWithin(Line l);

  /**
   * Returns true if rectangle r lies (partly) within this object
   */
  public boolean liesWithin(MyRectangle r);
}
