// File: SurfaceMineral.Java 

package jvpc.vga;

/**
 * Defines the interface for amounts of minerals on surface.
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     31 VII 1998
 * @version   31 VII 1998
 */
public interface SurfaceMineral extends VGAPlanets {
  public int getSurfNeutronium();
  public int getSurfTritanium();
  public int getSurfDuranium();
  public int getSurfMolybdenium();
}
