package jvpc.vga;

/**
 * An interface to implement to make a class easy tabulatable
 *
 * @author Rutger Nijlunsing
 * @since 19990421
 */

import java.util.*;

public interface Tabulatable {

    /**
     * Return a list of names of types which can be returned
     * Vector contains String's
     */
    /* static */ public Vector getTypes();

    /**
     * Return a list of names of methods which return a specific type
     * Vector contains String's
     *
     * The first method is the default method
     */
    /* static */ public Vector getTypeMethods(String typeName);
    
}
