// File: Truehull.java

package jvpc.vga;

import java.io.*;

/**
 * One Truehull from TRUEHULL.DAT
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     25 II 1999
 * @version   5 V 2000
 */
public class Truehull
  implements VGAPlanets
{
  int[] build;

  public Truehull() {
    build = new int[buildhulls+1];
  }

  public void readFrom(LSBReader source) throws IOException {
    build[0] = 0; // safety measure
    for (int j=1; j<=buildhulls; j++) {
      build[j] = source.readShort();
    }
  }
}
