// File: VPCheck.java

package jvpc.vpcheck;

import java.util.*;
import jvpc.vga.*;

abstract class Action implements VGAPlanets {
  /**
   * Add postmsg to msg
   */
  public static void addToMsg(StringBuffer msg, String postmsg) {
    msg.append("    ");
    msg.append(postmsg);
    msg.append("\n");
  }

  /** 
   * Perform action on objects @param objects
   * @param args contain the arguments
   *
   * Returns true in case of any action performed
   */
  abstract boolean action(Vector objects, Vector args, StringBuffer msg);
}
