// File: ActionShipFCSet

package jvpc.vpcheck;

import java.util.*;
import jvpc.vga.*; import kero.util.*;

public class ActionShipFCSet extends Action {
  
  /** 
   * Sets the FC of a ship
   *
   * Argument: the new FC
   * If no FC is given, "WRS" is assigned.
   */
  public boolean action(Vector objects, Vector args, StringBuffer msg) {
    Assert.assert(objects.size() == 1);
    msg.setLength(0);

    StringBuffer newfc;
    if ((args.size() == 1) && (args.elementAt(0) instanceof String)) {
      newfc = new StringBuffer((String)args.elementAt(0));
    } else {
      newfc = new StringBuffer("WRS");
    }
    
    Ship s = (Ship)objects.elementAt(0);
    addToMsg(msg, "set FC to '" + newfc + "'");
    s.setFC(newfc.toString());
    return true;
  }
}


