package jvpc.blitz;

import java.io.*;
import java.net.*;

class MySocket extends Socket {
    InputStream is;
    OutputStream os;

    public MySocket(String host, int port) throws UnknownHostException, IOException {
	super(host, port);
	is = getInputStream();
	os = getOutputStream();
	setSoTimeout(0);
    }

    public void write(String str) throws IOException {
	os.write(str.getBytes());
    }

    public void write(byte[] ba) throws IOException {
	os.write(ba);
    }

    public String gets() throws IOException {
	StringBuffer buf = new StringBuffer();
	int c = '\0';
	while ((c = is.read()) != '\n') {
	    if (c < 0) {
		if (buf.length() == 0) return null;
		break;
	    } else {
		buf.append((char)c);
	    }
	}
	return new String(buf);
    }
}
