// File: MapMarker.java

package jvpc.jvpc;

import java.awt.*;
import kero.util.*;
import jvpc.extdata.*;

/**
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since 10 III 2001
 * @version 10 III 2001
 */
public class MapMarker extends MapLocated {
    Marker marker;

    public MapMarker(Map m, Marker e) {
	map = m;
	marker = e;
    }

    public Color getColor() {
	return Color.white;
    }

    public String getString() {
	return marker.getText();
    }

    public void update(Graphics g, int x, int y) {
	int scale = (map.fontsize<map.minfontsize)? map.minfontsize: map.fontsize;
	g.drawLine(x, y, x, y-scale);
	g.drawLine(x, y-scale, x+scale, y-3*scale/4);
	g.drawLine(x+scale, y-3*scale/4, x, y-scale/2);
    }
}
