// File: AwtConfig.java

package kero.awt;

import java.awt.*;
import kero.util.*;

/**
 * Adds some awt-specific get() methods to kero.util.Config
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     16 III 1999
 * @version   30 X 1999
 */
public class AwtConfig
  extends Config
{
  public Color getColor(String str) throws NoConfigStringException {
    String color = get(str);
    if (color == null) return null;
    int red, green, blue;
    red = getIntArrayElement(str, 1);
    green = getIntArrayElement(str, 2);
    blue = getIntArrayElement(str, 3);
    return new Color(red, green, blue);
  }
}
