package kero.util;

import java.util.Enumeration;

/**
 * Contains several (static) empty data-structures.
 *
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Library Public License applies)
 * @since 25 V 2000
 * @version 25 V 2000
 */
public class Empty {
  public static Enumeration enumeration = new Enumeration() {
    public boolean hasMoreElements() {
      return false;
    }
    public Object nextElement() {
      return null;
    }
  };
}
