// File: BaseMission.java

package jvpc.vga;

import java.util.*;

/**
 * Numbers and Names of base missions.
 *
 * @author Kero van Gelder
 * @copyright Kero van Gelder; the GNU General Public License applies
 * @since 15 IV 2000
 * @version 12 IV 2000
 */
public class BaseMission
  implements VGAPlanets
{
  public final static int NONE = 0;
  public final static int REFUEL = 1;
  public final static int MAXDEFENSE = 2;
  public final static int LOADTORPS = 3;
  public final static int UNLOADSHIPS = 4;
  public final static int REPAIRBASE = 5;
  public final static int FORCESURRENDER = 6;

  public final static int BASEMISSIONS = 7;
  
  public final static String[] name = {
    "None",
    "Refuel",
    "Maximize Defense",
    "Load Torpedoes",
    "Unload Ships",
    "Repair Base",
    "Force a Surrender"
  };
}
