// File: GeneralObject.java

package jvpc.vga;

import java.io.*;

/**
 * Implements a PHost GeneralObject (util.dat record 33).
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     15 I 1999
 * @version   15 I 1999
 */
public class GeneralObject
  extends Located 
{
  int objectid;
  int colour;
  int radius;
  int warp;
  int heading;
  String name; // 20 chars
  String infofield1,infofield2;
  int utilcode;

  public GeneralObject(Universe u,int id) {
    super(u);
    objectid=id;
    name=new String();
    infofield1=new String();
    infofield2=new String();
  }

  public void readFrom(LSBReader source,int utillen) throws IOException {
    x=source.readShort();
    y=source.readShort();
    colour=source.readShort();
    radius=source.readShort();
    warp=source.readShort();
    heading=source.readShort();
    name=source.readString(20).toString();
    infofield1=source.readString(20).toString();
    infofield2=source.readString(20).toString();
    utilcode=source.readShort();
    source.skip(utillen-76);
  }
}
