// File: Government.java

package jvpc.vga;

/**
 * @since     19 XII 1999
 * @version   21 XII 1999
 */
public class Government implements VGAPlanets {
  public static final int ANARCHY = 1;
  public static final int PRETRIBAL = 2;
  public static final int EARLYTRIBAL = 3;
  public static final int TRIBAL = 4;
  public static final int FEUDAL = 5;
  public static final int MONARCHY = 6;
  public static final int REPRESENTATIVE = 7;
  public static final int PARTICIPATORY = 8;
  public static final int UNITY = 9;

  private static final String[] name = {
    "<communistic>",
    "Anarchy",
    "Pre-Tribal",
    "Early Tribal",
    "Tribal",
    "Feudal",
    "Monarchy",
    "Representative",
    "Participatory",
    "Unity"
  };

  private static final String[] shortname = {
    "<?>",
    "An",
    "P-Tr",
    "E-Tr",
    "Trib",
    "Feud",
    "Mon",
    "Repr",
    "Part",
    "Un"
  };

  public final static String getName(int govindex) {
    if (govindex == UNKNOWN) return "?";
    if (govindex < 0) return "gov "+govindex+"?";
    if (govindex >= name.length) return "gov "+govindex+"?";
    else return name[govindex];
  }

  public final static String getShortName(int govindex) {
    if (govindex == UNKNOWN) return "?";
    if (govindex < 0) return "gov "+govindex+"?";
    if (govindex >= name.length) return "gov "+govindex+"?";
    else return shortname[govindex];
  }
}
