// File MyUtil.java

package jvpc.vga;

/**
 * Contains a set of static methods, which are convenient for one reason or the
 * other. They really should be in subclasses of classes like String(Buffer), 
 * but these are final, so can not be overridden.
 *
 * @author Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since 13 I 1998
 * @version 13 I 1998
 */
public class MyUtil {

  public static StringBuffer stripTrailingZeroes(String sb) {
    StringBuffer result=new StringBuffer(sb);
    int i=result.length()-1;
    while ((i>=0) && (result.charAt(i)==(char)0)) i--;
    result.setLength(i+1);
    return result;
  }
}
