// File: SuperSpy.java

package jvpc.vga;

/**
 * Example of the complicated structure hanging under Planet.class
 * Especially merging planets will be difficult.
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     10 VII 1998
 * @version   15 I 1999
 */
public class SuperSpy extends Planet {
  int spiedneutr,spiedtrit,spieddur,spiedmolyb;

  public SuperSpy() {
    super();
  }

  public SuperSpy(Universe u) {
    super(u);
  }

  public int getCoreNeutronium() { return UNKNOWN; }
  public int getCoreTritanium() { return UNKNOWN; }
  public int getCoreDuranium() { return UNKNOWN; }
  public int getCoreMolybdenium() { return UNKNOWN; }

  public int getTotalNeutronium() {
    return spiedneutr;
  }
  public int getTotalTritanium() {
    return spiedtrit;
  }
  public int getTotalDurnium() {
    return spieddur;
  }
  public int getTotalMolybdenium() {
    return spiedmolyb;
  }
}
