// File: TotalMineral.Java 

package jvpc.vga;

/**
 * Defines the interface for total amounts of minerals. That is either on
 * surface plus incore (for own/allied planets) or super spy information.
 *
 * @author    Kero van Gelder
 * @copyright Kero van Gelder (the GNU General Public License applies)
 * @since     10 VII 1998
 * @version   25 VII 1998
 */
public interface TotalMineral extends VGAPlanets {
  public int getTotalNeutronium();
  public int getTotalTritanium();
  public int getTotalDuranium();
  public int getTotalMolybdenium();
}
