// File: CheckPlanetTempTooLow.java

package jvpc.vpcheck;

import java.util.*;
import kero.util.*;
import jvpc.vga.*;

// Check whether the temperature is 'good' enough for the clans
class CheckPlanetTempTooLow extends Check {
    public boolean check(Vector col, StringBuffer msg) {
	Assert.assert(col.size() == 1);
	Planet p = (Planet)col.elementAt(0);

	msg.setLength(0);

	int temp = p.getTemp();
	if (temp == UNKNOWN)
	    return false;

	boolean check = (temp < 15);
	logCheck(check, msg, "temperature is < 15", "temperature is >= 15");
	return check;
    }
}
