// File: CheckShipDamage.java

package jvpc.vpcheck;

import jvpc.vga.*;
import kero.util.*;
import java.util.*;


/**
 * Checks whether a ship has no damage.
 */
class CheckShipDamage extends Check {
  public boolean check(Vector col, StringBuffer msg) {
    Assert.assert(col.size() == 1);
    Ship s = (Ship)col.elementAt(0);
    // msg.setLength(0);

    int damage = s.getDamage();
    if (damage > 0) {
	addToMsg(msg, "ship has "+damage+" damage");
	return true;
    }

    return false;
  }
}
